<!DOCTYPE html>
<html>
  <head>
    <title>Dependabot Gitlab</title>
  </head>

  <style>
  a.version {
    position: absolute;
    top: 0;
    right: 0;
  }
  table.blueTable {
    border: 1px solid #1C6EA4;
    background-color: #EEEEEE;
    width: 100%;
    text-align: left;
    border-collapse: collapse;
  }
  table.blueTable td, table.blueTable th {
    border: 1px solid #AAAAAA;
    padding: 3px 2px;
  }
  table.blueTable tbody td {
    font-size: 13px;
  }
  table.blueTable tr:nth-child(even) {
    background: #D0E4F5;
  }
  table.blueTable thead {
    background: #1C6EA4;
    background: -moz-linear-gradient(top, #5592bb 0%, #327cad 66%, #1C6EA4 100%);
    background: -webkit-linear-gradient(top, #5592bb 0%, #327cad 66%, #1C6EA4 100%);
    background: linear-gradient(to bottom, #5592bb 0%, #327cad 66%, #1C6EA4 100%);
    border-bottom: 2px solid #444444;
  }
  table.blueTable thead th {
    font-size: 15px;
    font-weight: bold;
    color: #FFFFFF;
    border-left: 2px solid #D0E4F5;
  }
  table.blueTable thead th:first-child {
    border-left: none;
  }
  </style>

  <body>
    <a class="version" href="https://dependabot-gitlab.gitlab.io/dependabot"><%= "v#{version}"%></a>
    <h1>Projects</h1>
    <% @projects.each do |project| %>
      <h2><%= link_to_if project.web_url, project.name, project.web_url %></h2>
      <%= button_to "Sync", project_update_path(project.id), method: "put", title: "Sync project configuration" %>

      <table class="blueTable">
        <thead>
          <tr>
            <th>Package ecosystem</th>
            <th>Directory</th>
            <th>Cron</th>
            <th>Last executed</th>
            <th>Last execution errors</th>
            <th>Open merge requests</th>
            <th>Actions</th>
          </tr>
        </thead>

        <tbody>
          <% project.update_jobs.each do |job| %>
            <tr>
              <td><%= job.package_ecosystem %></td>
              <td><%= job.directory %></td>
              <td><%= job.cron %></td>
              <td><%= job.last_executed&.to_formatted_s(:long) %>
              <td><%= job.runs.last&.failures&.map(&:message)&.join("\n") %></td>
              <td>
                <%=
                  mrs = open_merge_requests(project, job.package_ecosystem, job.directory).length
                  link_to_if(mrs > 0, mrs, open_mrs_url(project, job.package_ecosystem, job.directory))
                %>
              </td>
              <td>
                <%= button_to "Execute", job_execute_path(job.id), method: "put", title: "Execute job now" %>
              </td>
            </tr>
          <% end %>
        </tbody>
      </table>
    <% end %>
  </body>
</html>
